From 3ac956c67db22ee11f297846c170c831eb171cca Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Tue, 8 Sep 2020 14:00:43 +0200
Subject: [PATCH] Use kore_worker_name() when logging worker shutdowns.

---
 src/worker.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/worker.c b/src/worker.c
index 55a538c2..dbf80471 100644
--- a/src/worker.c
+++ b/src/worker.c
@@ -238,8 +238,8 @@ kore_worker_shutdown(void)
 				kw->running = 0;
 
 				if (!kore_quiet) {
-					kore_log(LOG_NOTICE,
-					    "worker %d exited", kw->id);
+					kore_log(LOG_NOTICE, "worker %s exited",
+					    kore_worker_name(kw->id));
 				}
 			}
 		}
